Page MenuHomePhabricator

Some regressions in production with Zotero translation-server in production
Closed, ResolvedPublic

Description

These all should have come back with 'zotero' in the source:

https://en.wikipedia.org/api/rest_v1/data/citation/mediawiki/Q33415777

Event Timeline

Mvolz created this task.Dec 4 2018, 2:25 PM
Mvolz triaged this task as Unbreak Now! priority.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes, Aklapper. · View Herald TranscriptDec 4 2018, 2:25 PM
Mvolz updated the task description. (Show Details)Dec 4 2018, 2:26 PM

Looks fixed now?

Though the date format returned is not ideal (see https://en.wikipedia.org/api/rest_v1/data/citation/mediawiki/https%3A%2F%2Fwww.bbc.com%2Fnews%2Fworld-europe-46437904 - "accessDate":"2018-12-04T15:38:08Z" is different from before, I think?

Mvolz added a comment.EditedDec 4 2018, 3:46 PM
This comment has been deleted.
Mvolz closed this task as Resolved.Dec 4 2018, 3:46 PM

Hmm but the qid one is still not working...

Mvolz renamed this task from Citoid not communicating with Zotero translation-server in production at all to Some regressions in production with Zotero translation-server in production at all.Dec 4 2018, 3:50 PM
Mvolz reopened this task as Open.
Mvolz lowered the priority of this task from Unbreak Now! to High.
Mvolz updated the task description. (Show Details)
Mvolz lowered the priority of this task from High to Normal.
Mvolz updated the task description. (Show Details)
Mvolz added a comment.Dec 4 2018, 4:32 PM

Looks fixed now?

Though the date format returned is not ideal (see https://en.wikipedia.org/api/rest_v1/data/citation/mediawiki/https%3A%2F%2Fwww.bbc.com%2Fnews%2Fworld-europe-46437904 - "accessDate":"2018-12-04T15:38:08Z" is different from before, I think?

Good catch; I think the access date is something we just didn't test for, that needs to be patched. Putting the access date through is a new translation-server feature but we'll have to strip the time info.

mobrovac assigned this task to akosiaris.Dec 4 2018, 4:56 PM
mobrovac closed this task as Resolved.

There was a communication problem both between Citoid and Zotero as well as Zotero and our domains. This has been fixed now.

Mvolz added a comment.Dec 4 2018, 8:12 PM

The qid issue is still ongoing; I suspect that Zotero is crashing with that
request.

Mvolz renamed this task from Some regressions in production with Zotero translation-server in production at all to Some regressions in production with Zotero translation-server in production.Dec 20 2018, 2:22 PM